package com.tuoheng.admin.service.menu;

import com.tuoheng.admin.entity.Menu;
import com.tuoheng.admin.query.MenuQuery;
import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2022/12/16
 */
public interface IMenuService{
    JsonResult getList(MenuQuery menuQuery);

    JsonResult info(Integer menuId);

    JsonResult edit(Menu entity);

    JsonResult deleteById(Integer menuId);

    List<Menu> getMenuAll();

}
